=== debian/changelog ===
ros-noetic-flexbe-app (2.4.1-1focal) focal; urgency=high

  * merge PR #74 <https://github.com/FlexBE/flexbe_app/issues/74>, 76, 77; tweak CI workflow
  * Merge pull request #60 <https://github.com/FlexBE/flexbe_app/issues/60> from fmessmer/fix/catkin_lint
    some catkin_lint fixes
  * some catkin_lint fixes
  * Contributors: David Conner, dcconner, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Mon, 22 May 2023 04:00:00 -0000

ros-noetic-flexbe-app (2.4.0-1focal) focal; urgency=high

  * Merge develop branch
  * Updates for Melodic and Noetic releases on github.com/FlexBE

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-app (2.3.0-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/python3_support' into develop
  * Add support for python3
  * Use correct state prefix in autocompletion
    (fix #65 <https://github.com/FlexBE/flexbe_app/issues/65>)
  * Prevent module caching in Python parser to fix state reloading
    (see #61 <https://github.com/FlexBE/flexbe_app/issues/61>)
  * Sort input-dependent elements for more deterministic code generation
    (see #`team-vigir/flexbe_behavior_engine#111 <https://github.com/team-vigir/flexbe_behavior_engine/issues/111>`_)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.4-1focal) focal; urgency=high

  * Revert nwjs version increment because of Travis failure due to Chromium bug
    (see https://crbug.com/1025266)
  * Increment nwjs version after file chooser fix
  * Use HTML file chooser instead of Chrome file API for settings import and export
    (see #52 <https://github.com/FlexBE/flexbe_app/issues/52>)
  * Improve cache for workspace switching and allow to disable it
  * Fix detection of new packages
  * Merge branch 'benmaidel-feature/cmd_option_checkbehaviors' into develop
  * Always run all behavior check tests and print error message
  * Robustify behavior loading for generating behavior check reports
  * Close window-related sub-processes also when only closing the window
    (see team-vigir/flexbe_behavior_engine#105 <https://github.com/team-vigir/flexbe_behavior_engine/issues/105>)
  * Merge remote-tracking branch 'origin/fix/handle_closed_window' into develop
  * add --check-behavior command line option
  * Fix support for symbolic references in Python parser
  * Robustify Python parser against instantiation failures
    (see team-vigir/flexbe_behavior_engine#99 <https://github.com/team-vigir/flexbe_behavior_engine/issues/99>)
  * Close window-related sub-processes also when only closing the window
    (see team-vigir/flexbe_behavior_engine#105 <https://github.com/team-vigir/flexbe_behavior_engine/issues/105>)
  * Merge branch 'cheffe112-bugfix-import-config' into develop
  * Fix mixed indentation
  * reverting nw.js to last known-to-work version
    From nw.js 0.42.4, the import/export configuration functionality throws an "Invalid calling page. This function can't be called from a background page." error. This has been reported for nw.js already on https://github.com/nwjs/nw.js/issues/7349.
    Hence, the import/export functionality is currently unusable with nw.js >0.42.3 as integrated in b93078fd6705445bf6183af40598619243800b1e.
  * throw error if importing/exporting configuration crashes
  * Explicitly spawn window on center position because default changed
  * Allow comment after super-call in regex state parser
    (see team-vigir/flexbe_behavior_engine#98 <https://github.com/team-vigir/flexbe_behavior_engine/issues/98>)
  * Check for undefined transition label (fix team-vigir/flexbe_behavior_engine#100 <https://github.com/team-vigir/flexbe_behavior_engine/issues/100>)
  * Merge branch 'cheffe112-bugfix-python-parsing' into develop
  * Fix mixed indentation
  * bugfix: avoid crash during Python state parsing on empty documentation string
    The Python state parsing feature introduced in 4f20227ef900ca32e78414c190fb464d964666e5 used to crash when no docstring is provided in a state definition, hence stalling the parsing procedure. This commit returns the default label "[no documentation]" on a missing docstring.
  * Contributors: Benjamin Maidel, Philipp Schillinger, Tobias Doernbach

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-app (2.2.3-1focal) focal; urgency=high

  * Increment nwjs version
  * Fix documentation format warnings (see #48 <https://github.com/FlexBE/flexbe_app/issues/48>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 15 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.2-1focal) focal; urgency=high

  * Add python-based state parser alternative (see team-vigir/flexbe_behavior_engine#93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * Implement a quick connect when dropping a state onto a transition
  * Add internal dependencies (see #39 <https://github.com/FlexBE/flexbe_app/issues/39>)
  * Enable package cache and track update progress
  * Clear outcome request on transition and explicit message
  * Robustify package parser against malformed package.xml (see #37 <https://github.com/FlexBE/flexbe_app/issues/37>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 11 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-app (2.2.1-1focal) focal; urgency=high

  * Match update of flexbe_ci to xenial
  * Add dependency on libnss3 to package.xml (see #35 <https://github.com/FlexBE/flexbe_app/issues/35>)
  * Improve support for activities
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Various minor improvements
  * Allow to set parameters of included behaviors
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000


